summaryrefslogtreecommitdiff
path: root/contrib/splicex/configure
diff options
context:
space:
mode:
Diffstat (limited to 'contrib/splicex/configure')
-rwxr-xr-xcontrib/splicex/configure50
1 files changed, 50 insertions, 0 deletions
diff --git a/contrib/splicex/configure b/contrib/splicex/configure
new file mode 100755
index 0000000..7e11811
--- /dev/null
+++ b/contrib/splicex/configure
@@ -0,0 +1,50 @@
+#!/bin/bash
+if [ -z "$1" ]; then
+ echo 'usage: ./configure <python[version]>'
+ exit 1
+fi
+
+echo -ne 'checking for python...'
+if which `which "$1"` >/dev/null; then
+ PYPATH=`which "$1"`
+ echo -ne ' OK'
+ echo
+else
+ echo -ne ' FAILED'
+ exit 1
+fi
+
+echo -ne 'checking for man...'
+if which man >/dev/null; then
+ echo -ne ' OK'
+ echo
+else
+ echo -ne ' FAILED'
+ exit 1
+fi
+
+echo -ne 'checking for cython...'
+if which cython >/dev/null; then
+ echo -ne ' OK'
+ echo
+else
+ echo -ne ' FAILED'
+ exit 1
+fi
+
+echo -ne 'checking for gcc...'
+if which gcc >/dev/null; then
+ echo -ne ' OK'
+ echo
+else
+ echo -ne ' FAILED'
+ exit 1
+fi
+
+echo -ne "configuring splicex for $1 @ $PYPATH..."
+sed -e s^PYTHON^"$1"^g src/make.in >Makefile
+sed -e s^PYTHON^"$PYPATH"^g src/splicex.py >build/splicex
+sed -e s^PYTHON^"$PYPATH"^g src/splicex-deshadow.py >build/splicex-deshadow
+echo -ne ' OK'
+echo
+echo -e 'configure complete'